Subject: Re: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Kenichi Handa <[email-masked]>
Date: Wed, 24 Jun 2009 20:55:41 +0900

In article <[email-masked]>, Jason Rumney <[email-masked]> writes:

>>> Part of the recipe is that you don't set Arial Unicode MS as the default 
>>> font, you let the font fallback find it (in the case of the original 
>>> report, or MS Mincho in my case).
> >
> > Although I still can't reproduce the problem

> I wonder if the default font contains the character U+2203 in your case, 
> since you are using a Japanese locale.

No.  My default font is:

uniscribe:-outline-Courier new-normal-normal-normal-mono-13-*-*-*-c-*-iso88591

and #x2203 is displayed by:

uniscribe:-outline-ＭＳ　ゴシック-normal-normal-normal-mono-13-*-*-*-c-*-jisx0208*-*
 
This font is found in the fallback group of the default
fontset (not in the frame's fontset).

By font-show-log, I confirmed that fontset_font() checked
these to find that font:

(1) the frame's fontset
(2) the default fontset
(3) the fallbacks of the frame's fontset
(4) the fallbacks of the default fontset.

So, isn't the situation the same as yours?

> Can you try reproducing it using 
> the other characters suggested in the original message: U+2202 and U+FFFD?

A font for U+2202 is found at (2) above, and a font for
U+FFFD is not found.  In both case, Emacs didn't cause
memory full.

By the way, my Emacs on Windows is as this:

GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600) of 2009-06-24 on IBM-FSF27A21743
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'.

---
Kenichi Handa
[email-masked]